Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 291904 (CVE-2009-3547) - Kernel: fs/pipe.c race condition DoS/PrivEsc (CVE-2009-3547)
Summary: Kernel: fs/pipe.c race condition DoS/PrivEsc (CVE-2009-3547)
Status: RESOLVED FIXED
Alias: CVE-2009-3547
Product: Gentoo Security
Classification: Unclassified
Component: Kernel (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL: http://git.kernel.org/?p=linux/kernel...
Whiteboard: [linux <2.6.27.39] [linux >=2.6.28 <2...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-04 20:19 UTC by Alex Legler (RETIRED)
Modified: 2013-09-12 05:02 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix for CVE-2009-3547 (fs-pipe.c-null-pointer-dereference.patch,3.64 KB, patch)
2009-11-04 21:55 UTC, Kerin Millar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-11-04 20:19:39 UTC
CVE-2009-3547 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-3547):
  Multiple race conditions in fs/pipe.c in the Linux kernel before
  2.6.32-rc6 allow local users to cause a denial of service (NULL
  pointer dereference and system crash) or gain privileges by
  attempting to open an anonymous pipe via a /proc/*/fd/ pathname.
Comment 1 Kerin Millar 2009-11-04 21:55:11 UTC
Created attachment 209281 [details, diff]
Fix for CVE-2009-3547
Comment 3 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-11-05 11:25:17 UTC
Kernel: please include this patch at least in the .31 you want to stabilize.
Comment 4 Mike Pagano gentoo-dev 2009-11-06 01:26:13 UTC
In svn for the next release of gentoo-sources-2.6.31
Comment 5 Mike Pagano gentoo-dev 2009-11-06 01:59:17 UTC
and in svn for 2.6.30, also
Comment 6 Mike Pagano gentoo-dev 2009-11-06 14:37:03 UTC
released in gentoo-sources-2.6.30-r9 (genpatches 2.6.30-10) and gentoo-sources-2.6.31 (gentpatches 2.6.31-6)